Debian Bug report logs - #650059
poco: FTBFS with multiarch libmysqlclient-dev

version graph

Package: poco; Maintainer for poco is Krzysztof Burghardt <krzysztof@burghardt.pl>;

Reported by: Clint Byrum <clint@ubuntu.com>

Date: Sat, 26 Nov 2011 01:48:02 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version 1.3.6p1-1

Fixed in version poco/1.3.6p1-3

Done: Cristian Greco <cristian@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Sat, 26 Nov 2011 01:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Sat, 26 Nov 2011 01:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: poco: FTBFS with multiarch libmysqlclient-dev
Date: Fri, 25 Nov 2011 17:45:37 -0800
[Message part 1 (text/plain, inline)]
Package: poco
Version: 1.3.6p1-1
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch



*** /tmp/tmpFiqcmw/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

libmysqlclient-dev is multi-arch in experimental, should be landing in
unstable soon.

  * debian/rules: pass explicit libdir to build correctly multiarch
    libmysqlclient.


Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-12-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[poco_1.3.6p1-1ubuntu1.debdiff (text/x-diff, attachment)]

Severity set to 'serious' from 'important' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:51:03 GMT) Full text and rfc822 format available.

Added indication that bug 650059 blocks 671115 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:51:04 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:51:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <malat@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 09:45:03 GMT) Full text and rfc822 format available.

Message #16 received at 650059@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <malat@debian.org>
To: 650059@bugs.debian.org
Cc: krzysztof@burghardt.pl, paroga@paroga.com
Subject: FTBFS with multiarch libmysqlclient-dev
Date: Thu, 26 Jul 2012 11:40:58 +0200
Any update on the patch ? The patch looks good to me, why hasn't it
been applied ?

Thanks.



Added indication that bug 650059 blocks 680798 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Thu, 26 Jul 2012 10:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 12:27:03 GMT) Full text and rfc822 format available.

Message #23 received at 650059@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org
Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
Date: Thu, 26 Jul 2012 14:23:26 +0200
Hi Krzysztof,

there is a long standing (>6 month) RC bug filed against poco including
a patch for this problem.  When applying the patch and trying to build
the package I realised another FTBFS problem when building with gcc-4.7.
I'm currently trying to fix this problem and if I succeede I will upload
to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
NMU-upload once the problem is solved.

Kind regards

        Andreas.

On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> 'lo
> 
> On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> >> I believe this is because libpoco-dev was removed from testing:
> >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> >
> > I came to the same conclusion but I have no idea how we (in terms
> > of sitplus maintainers) could solve this.
> 
> The patch looks straighfoward to apply but for some reason was never
> applied. So I simply ping'd the maintainers again:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> 
> We'll see.
> -- 
> Mathieu

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #28 received at 650059@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>, Krzysztof Burghardt <krzysztof@burghardt.pl>
Cc: 650059@bugs.debian.org, 680798@bugs.debian.org
Subject: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 14:45:02 +0200
Hi,

I tried to apply the patch that is supposed to solve the problem below
but I was running in another problem which sounds quite familiar from
other gcc-4.7 issues.  I tried to fix the problem in Git

   git+ssh://git.debian.org/git/collab-maint/poco.git

and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
the original problem and ends up in

/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
src/X509Certificate.cpp:175:55:   required from here
/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
/tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit


Unfortunately my C++ knowledge is to limited to find an easy clue how to
fix this and would be more than happy if somebody could provide some fix.

BTW, it seems to me that libpoco development only happens in experimental
and unstable does not deserve the attention it would need.  Please help
fixing the problem to make sure the reverse depends can stay in testing.

Kind regards

       Andreas.

----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----

Date: Thu, 26 Jul 2012 14:23:26 +0200
From: Andreas Tille <andreas@an3as.eu>
To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
	Krzysztof Burghardt <krzysztof@burghardt.pl>,
	650059@bugs.debian.org
Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:

Hi Krzysztof,

there is a long standing (>6 month) RC bug filed against poco including
a patch for this problem.  When applying the patch and trying to build
the package I realised another FTBFS problem when building with gcc-4.7.
I'm currently trying to fix this problem and if I succeede I will upload
to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
NMU-upload once the problem is solved.

Kind regards

        Andreas.

On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> 'lo
> 
> On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> >> I believe this is because libpoco-dev was removed from testing:
> >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> >
> > I came to the same conclusion but I have no idea how we (in terms
> > of sitplus maintainers) could solve this.
> 
> The patch looks straighfoward to apply but for some reason was never
> applied. So I simply ping'd the maintainers again:
> 
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> 
> We'll see.
> -- 
> Mathieu

-- 
http://fam-tille.de

----- End forwarded message -----

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cristian Greco <cristian@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 18:00:03 GMT) Full text and rfc822 format available.

Message #33 received at 650059@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org, 680798@bugs.debian.org, Mathieu Malaterre <malat@debian.org>
Subject: Re: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 19:47:35 +0200
[Message part 1 (text/plain, inline)]
On Thu, 26 Jul 2012 14:45:02 +0200
Andreas Tille <andreas@an3as.eu> wrote:

> Hi,
> 
> I tried to apply the patch that is supposed to solve the problem below
> but I was running in another problem which sounds quite familiar from
> other gcc-4.7 issues.  I tried to fix the problem in Git
> 
>    git+ssh://git.debian.org/git/collab-maint/poco.git
> 
> and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
> debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
> the original problem and ends up in
> 
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
> src/X509Certificate.cpp:175:55:   required from here
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
> /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit
> 
> 
> Unfortunately my C++ knowledge is to limited to find an easy clue how to
> fix this and would be more than happy if somebody could provide some fix.
> 
> BTW, it seems to me that libpoco development only happens in experimental
> and unstable does not deserve the attention it would need.  Please help
> fixing the problem to make sure the reverse depends can stay in testing.
> 
> Kind regards
> 
>        Andreas.
> 
> ----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----
> 
> Date: Thu, 26 Jul 2012 14:23:26 +0200
> From: Andreas Tille <andreas@an3as.eu>
> To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
> 	Krzysztof Burghardt <krzysztof@burghardt.pl>,
> 	650059@bugs.debian.org
> Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
> 
> Hi Krzysztof,
> 
> there is a long standing (>6 month) RC bug filed against poco including
> a patch for this problem.  When applying the patch and trying to build
> the package I realised another FTBFS problem when building with gcc-4.7.
> I'm currently trying to fix this problem and if I succeede I will upload
> to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
> NMU-upload once the problem is solved.
> 
> Kind regards
> 
>         Andreas.
> 
> On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> > 'lo
> > 
> > On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> > >> I believe this is because libpoco-dev was removed from testing:
> > >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> > >
> > > I came to the same conclusion but I have no idea how we (in terms
> > > of sitplus maintainers) could solve this.
> > 
> > The patch looks straighfoward to apply but for some reason was never
> > applied. So I simply ping'd the maintainers again:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> > 
> > We'll see.
> > -- 
> > Mathieu

Hi all,

as someone already mentioned, the development of poco happened in
experimental in the last year. I never did upload to unstable because
there was a problem with reverse-deps and the boost libraries.
Although I stopped uploading to experimental some months ago, it still
builds fine and contains a lot of patches (some submitted upstream).

I'll try to fix the ftbfs for the version of poco in unstable and make
an upload as soon as possible.

Thanks,
--
Cristian Greco
GPG key ID: 0xCF4D32E4
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 19:33:03 GMT) Full text and rfc822 format available.

Message #38 received at 650059@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Cristian Greco <cristian@debian.org>
Cc: Patrick Gansterer <paroga@paroga.com>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org, 680798@bugs.debian.org
Subject: Re: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 21:27:11 +0200
Hi Cristian,

thanks for your intent to fix the package.  In case you might have
missed it on debian-mentors a patch was posted:

   http://lists.debian.org/debian-mentors/2012/07/msg00446.html

Just let us know if you might face any trouble

       Andreas.

On Thu, Jul 26, 2012 at 07:47:35PM +0200, Cristian Greco wrote:
> On Thu, 26 Jul 2012 14:45:02 +0200
> Andreas Tille <andreas@an3as.eu> wrote:
> 
> > Hi,
> > 
> > I tried to apply the patch that is supposed to solve the problem below
> > but I was running in another problem which sounds quite familiar from
> > other gcc-4.7 issues.  I tried to fix the problem in Git
> > 
> >    git+ssh://git.debian.org/git/collab-maint/poco.git
> > 
> > and created a branch NMU/1.3.6p1-1.1 where I created a dpatch file
> > debian/patches/gcc-4.7.dpatch which unfortunately just reiterates
> > the original problem and ends up in
> > 
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h: In instantiation of 'S Poco::replace(const S&, const typename S::value_type*, const typename S::value_type*, typename S::size_type) [with S = std::    basic_string<char>; typename S::value_type = char; typename S::size_type = long unsigned int]':
> > src/X509Certificate.cpp:175:55:   required from here
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:448:2: error: 'replaceInPlace' was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of              instantiation [-fpermissive]
> > /tmp/buildd/poco-1.3.6p1/Foundation/include/Poco/String.h:480:4: note: 'template<class S> S& Poco::replaceInPlace(S&, const S&, const S&, typename S::size_type)' declared here, later in the translation unit
> > 
> > 
> > Unfortunately my C++ knowledge is to limited to find an easy clue how to
> > fix this and would be more than happy if somebody could provide some fix.
> > 
> > BTW, it seems to me that libpoco development only happens in experimental
> > and unstable does not deserve the attention it would need.  Please help
> > fixing the problem to make sure the reverse depends can stay in testing.
> > 
> > Kind regards
> > 
> >        Andreas.
> > 
> > ----- Forwarded message from Andreas Tille <andreas@an3as.eu> -----
> > 
> > Date: Thu, 26 Jul 2012 14:23:26 +0200
> > From: Andreas Tille <andreas@an3as.eu>
> > To: Mathieu Malaterre <mathieu.malaterre@gmail.com>, 680798@bugs.debian.org,
> > 	Krzysztof Burghardt <krzysztof@burghardt.pl>,
> > 	650059@bugs.debian.org
> > Subject: Re: Bug#680798: sitplus: FTBFS: build-dependency not installable:
> > 
> > Hi Krzysztof,
> > 
> > there is a long standing (>6 month) RC bug filed against poco including
> > a patch for this problem.  When applying the patch and trying to build
> > the package I realised another FTBFS problem when building with gcc-4.7.
> > I'm currently trying to fix this problem and if I succeede I will upload
> > to DELAYED/2.  Otherwise I'll ask for help on debian-mentors and will
> > NMU-upload once the problem is solved.
> > 
> > Kind regards
> > 
> >         Andreas.
> > 
> > On Thu, Jul 26, 2012 at 11:52:33AM +0200, Mathieu Malaterre wrote:
> > > 'lo
> > > 
> > > On Thu, Jul 26, 2012 at 11:47 AM, Andreas Tille <tille@debian.org> wrote:
> > > > On Thu, Jul 26, 2012 at 11:38:24AM +0200, Mathieu Malaterre wrote:
> > > >> I believe this is because libpoco-dev was removed from testing:
> > > >> http://packages.qa.debian.org/p/poco/news/20120619T163916Z.html
> > > >
> > > > I came to the same conclusion but I have no idea how we (in terms
> > > > of sitplus maintainers) could solve this.
> > > 
> > > The patch looks straighfoward to apply but for some reason was never
> > > applied. So I simply ping'd the maintainers again:
> > > 
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=650059#16
> > > 
> > > We'll see.
> > > -- 
> > > Mathieu
> 
> Hi all,
> 
> as someone already mentioned, the development of poco happened in
> experimental in the last year. I never did upload to unstable because
> there was a problem with reverse-deps and the boost libraries.
> Although I stopped uploading to experimental some months ago, it still
> builds fine and contains a lot of patches (some submitted upstream).
> 
> I'll try to fix the ftbfs for the version of poco in unstable and make
> an upload as soon as possible.
> 
> Thanks,
> --
> Cristian Greco
> GPG key ID: 0xCF4D32E4



-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Krzysztof Burghardt <krzysztof@burghardt.pl>:
Bug#650059; Package poco. (Thu, 26 Jul 2012 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Krzysztof Burghardt <krzysztof@burghardt.pl>. (Thu, 26 Jul 2012 21:03:03 GMT) Full text and rfc822 format available.

Message #43 received at 650059@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Andreas Tille <andreas@an3as.eu>, 680798@bugs.debian.org
Cc: Debian Mentors List <debian-mentors@lists.debian.org>, Patrick Gansterer <paroga@paroga.com>, Cristian Greco <cristian@debian.org>, Krzysztof Burghardt <krzysztof@burghardt.pl>, 650059@bugs.debian.org
Subject: Re: Bug#680798: Help with gcc-4.7 needed (Was: poco: FTBFS with multiarch libmysqlclient-dev)
Date: Thu, 26 Jul 2012 22:00:53 +0100
On Thu, 2012-07-26 at 14:45 +0200, Andreas Tille wrote:
> BTW, it seems to me that libpoco development only happens in experimental
> and unstable does not deserve the attention it would need.  Please help
> fixing the problem to make sure the reverse depends can stay in testing.

"Stay" would imply that they're currently _in_ testing.

Regards,

Adam




Reply sent to Cristian Greco <cristian@debian.org>:
You have taken responsibility. (Fri, 27 Jul 2012 05:51:05 GMT) Full text and rfc822 format available.

Notification sent to Clint Byrum <clint@ubuntu.com>:
Bug acknowledged by developer. (Fri, 27 Jul 2012 05:51:05 GMT) Full text and rfc822 format available.

Message #48 received at 650059-close@bugs.debian.org (full text, mbox):

From: Cristian Greco <cristian@debian.org>
To: 650059-close@bugs.debian.org
Subject: Bug#650059: fixed in poco 1.3.6p1-3
Date: Fri, 27 Jul 2012 05:47:20 +0000
Source: poco
Source-Version: 1.3.6p1-3

We believe that the bug you reported is fixed in the latest version of
poco, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650059@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cristian Greco <cristian@debian.org> (supplier of updated poco package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Jul 2012 07:15:34 +0200
Source: poco
Binary: libpoco-dev libpococrypto9-dbg libpococrypto9 libpocodata9-dbg libpocodata9 libpocofoundation9-dbg libpocofoundation9 libpocomysql9-dbg libpocomysql9 libpoconet9-dbg libpoconet9 libpoconetssl9-dbg libpoconetssl9 libpocoodbc9-dbg libpocoodbc9 libpocosqlite9-dbg libpocosqlite9 libpocoutil9-dbg libpocoutil9 libpocoxml9-dbg libpocoxml9 libpocozip9-dbg libpocozip9
Architecture: source amd64
Version: 1.3.6p1-3
Distribution: unstable
Urgency: low
Maintainer: Cristian Greco <cristian@debian.org>
Changed-By: Cristian Greco <cristian@debian.org>
Description: 
 libpoco-dev - C++ Portable Components (POCO) Development files
 libpococrypto9 - C++ Portable Components (POCO) Crypto library
 libpococrypto9-dbg - C++ Portable Components (POCO) Crypto library (debug version)
 libpocodata9 - C++ Portable Components (POCO) Data library
 libpocodata9-dbg - C++ Portable Components (POCO) Data library (debug version)
 libpocofoundation9 - C++ Portable Components (POCO) Foundation library
 libpocofoundation9-dbg - C++ Portable Components (POCO) Foundation library (debug version)
 libpocomysql9 - C++ Portable Components (POCO) MySQL library
 libpocomysql9-dbg - C++ Portable Components (POCO) MySQL library (debug version)
 libpoconet9 - C++ Portable Components (POCO) Network library
 libpoconet9-dbg - C++ Portable Components (POCO) Network library (debug version)
 libpoconetssl9 - C++ Portable Components (POCO) Network library with SSL
 libpoconetssl9-dbg - C++ Portable Components (POCO) Network library with SSL (debug ve
 libpocoodbc9 - C++ Portable Components (POCO) ODBC library
 libpocoodbc9-dbg - C++ Portable Components (POCO) ODBC library (debug version)
 libpocosqlite9 - C++ Portable Components (POCO) SQLite library
 libpocosqlite9-dbg - C++ Portable Components (POCO) SQLite library (debug version)
 libpocoutil9 - C++ Portable Components (POCO) Util library
 libpocoutil9-dbg - C++ Portable Components (POCO) Util library (debug version)
 libpocoxml9 - C++ Portable Components (POCO) XML library
 libpocoxml9-dbg - C++ Portable Components (POCO) XML library (debug version)
 libpocozip9 - C++ Portable Components (POCO) Zip library
 libpocozip9-dbg - C++ Portable Components (POCO) Zip library (debug version)
Closes: 626088 650059 680807
Changes: 
 poco (1.3.6p1-3) unstable; urgency=low
 .
   * Wheezy cleanup release (2): pull some more fixes from experimental.
   * All FTBFS are fixed now. (Closes: #626088, #650059, #680807)
   * debian/rules:
     - select the right configuration options for GNU/kFreeBSD.
     - drop extra --no-fpenvironment option now that arm is gone.
   * debian/control: fix and expand short and extended descriptions.
Checksums-Sha1: 
 6170b30b308e1d9818f66bfbe09ddd3245f8d6a5 3103 poco_1.3.6p1-3.dsc
 da0a2da42d74d1ce6edd9504c932d56d1e122fd1 11408 poco_1.3.6p1-3.diff.gz
 93b8fc4bfa1b067ffc23bffd104dc610cd664408 548956 libpoco-dev_1.3.6p1-3_amd64.deb
 a334d3f3fa317ac2a80d45b1d7d268cb72f96600 288664 libpococrypto9-dbg_1.3.6p1-3_amd64.deb
 89131890b6c38bd20ba0d262aad4669ea7f3b2c4 74824 libpococrypto9_1.3.6p1-3_amd64.deb
 ead1421cbe093016f811bec03e03de0fe28a9249 751246 libpocodata9-dbg_1.3.6p1-3_amd64.deb
 0f90a3609ef8158bfa1db5a47ab3490b288f4248 144218 libpocodata9_1.3.6p1-3_amd64.deb
 656e6e7916d5c1fd49239dc1539b58a5f5f0352e 2308028 libpocofoundation9-dbg_1.3.6p1-3_amd64.deb
 0e2b06ee2adfa974bce98eda7f10d1170ac143f3 493100 libpocofoundation9_1.3.6p1-3_amd64.deb
 76818c61d9626c2e58595725bc38bad28920c7f7 317044 libpocomysql9-dbg_1.3.6p1-3_amd64.deb
 e36fe49decc8f971da90a863d7647b3e423b5f59 68740 libpocomysql9_1.3.6p1-3_amd64.deb
 3c088865dd93d808dac12277cba7753d38679f88 1571220 libpoconet9-dbg_1.3.6p1-3_amd64.deb
 962c4567eb2f22ee0b658bc5109821c7332249f2 314964 libpoconet9_1.3.6p1-3_amd64.deb
 30e5a630a7f98e5348cb828ff98c2cbff146dc57 655398 libpoconetssl9-dbg_1.3.6p1-3_amd64.deb
 36aeb57bf01cd8f26bab150f80370a98a59f0311 112980 libpoconetssl9_1.3.6p1-3_amd64.deb
 627cd2b89d61fc302327116b9fd69496360af905 573546 libpocoodbc9-dbg_1.3.6p1-3_amd64.deb
 a40f92dcb4260cfb4ae207afe23d8309347680eb 101398 libpocoodbc9_1.3.6p1-3_amd64.deb
 035cc95345e3ad0abfe41c2b045a3e996653f507 299084 libpocosqlite9-dbg_1.3.6p1-3_amd64.deb
 045f1ff7bd64efc447497f09d994af20b920b82c 89230 libpocosqlite9_1.3.6p1-3_amd64.deb
 0530d66ff5098bc0284e0e34164513e0b9f23d76 655142 libpocoutil9-dbg_1.3.6p1-3_amd64.deb
 0d8b9655f12e7f26144c9a6d71afd1b089e9bc51 140416 libpocoutil9_1.3.6p1-3_amd64.deb
 0209047ce37381482d5b1a95164fe0718afa1c30 818634 libpocoxml9-dbg_1.3.6p1-3_amd64.deb
 0bdbb20b914c7a46428d4525c669e5914aae25cc 168388 libpocoxml9_1.3.6p1-3_amd64.deb
 cffad9a95b0fb4058f713ae95473fb50a7897f49 769226 libpocozip9-dbg_1.3.6p1-3_amd64.deb
 202130e2ea504751d6b090a5a81a51ba89f811f3 130554 libpocozip9_1.3.6p1-3_amd64.deb
Checksums-Sha256: 
 273c9a0394ad749153ee9cdb480138b0e204a65b63f7223d5570a5dfb8fba862 3103 poco_1.3.6p1-3.dsc
 351308a6ac04855d65d16b085cd6cdb06289da7f422083fd9198ec78e3b970d7 11408 poco_1.3.6p1-3.diff.gz
 435d460be6a17aa5fb05f5eb49bb4ddf167d2433867798d1a5b6abf945957f19 548956 libpoco-dev_1.3.6p1-3_amd64.deb
 530edec2245f90d5914d6426a8b10f2a1902313f5be68c06457375cd3eeb1ebd 288664 libpococrypto9-dbg_1.3.6p1-3_amd64.deb
 24c164b31e2b87ac05585ab72c80b87274b7ad5e4f5faa4c20111a5e3e740ced 74824 libpococrypto9_1.3.6p1-3_amd64.deb
 62ba52763b4ccbeacc9e8528806ddd28dfd32d92c7dc5211523bb90f703b46e0 751246 libpocodata9-dbg_1.3.6p1-3_amd64.deb
 9ed52100ab1844bef9ed6fd431007e0e419de2398db18e8e0933d68207fc01fc 144218 libpocodata9_1.3.6p1-3_amd64.deb
 48ccaf972958fd503b93b324090236cecbdc138a941e64e89487b66a2ff336b8 2308028 libpocofoundation9-dbg_1.3.6p1-3_amd64.deb
 a7ee980a47fbd3340ba3bbe41710725fa57f582c8cc3a8da16adb86e927b7353 493100 libpocofoundation9_1.3.6p1-3_amd64.deb
 f19892fe9925985b90077afb90728d473aa20b5ad3b6a40bd9c008d1dd626d05 317044 libpocomysql9-dbg_1.3.6p1-3_amd64.deb
 b709df138d39687eb44f0e2777cb0f11ca626706dd8e9944c59916802eb9e58f 68740 libpocomysql9_1.3.6p1-3_amd64.deb
 56d51e1fe621ad8b8516532bd3a19c181a2557f151fbf71de1410cfe72096976 1571220 libpoconet9-dbg_1.3.6p1-3_amd64.deb
 0f26ed9d29dd022664571a71c0076aef818b888a1692417c6d2b460d25773991 314964 libpoconet9_1.3.6p1-3_amd64.deb
 aabe647abb8599666ecc23e8060bfbdba8958c516ed9514d68e25a36e6ebe397 655398 libpoconetssl9-dbg_1.3.6p1-3_amd64.deb
 f6c3c7c55ef19a52ef1e27c05c0f004e0c0abafb69b8a7b6119c1712075a30ac 112980 libpoconetssl9_1.3.6p1-3_amd64.deb
 523a56846a1403c3be3fdc3f428303006bf8e5727b0a68456ae0ea25bae5da95 573546 libpocoodbc9-dbg_1.3.6p1-3_amd64.deb
 671bc546b5e05b8a4e2c697f99cd3bf433f5c9f1392c02bd6a1689ab06eb34c8 101398 libpocoodbc9_1.3.6p1-3_amd64.deb
 fc6578965b1522689d8e9f71379735469cc198eca5e4a05a645dfc842219a338 299084 libpocosqlite9-dbg_1.3.6p1-3_amd64.deb
 b2dc91e0028011819d3e357c47cf4c359a2bab3e9ccffbff6bfa286397826f4e 89230 libpocosqlite9_1.3.6p1-3_amd64.deb
 f9c68134e4851f4ec3485f91c5dbfc94030be052a27d7204dd3772e295456585 655142 libpocoutil9-dbg_1.3.6p1-3_amd64.deb
 44c3e84265b4a80a92246d3e908049aaa2d6e7c6e37d45b21114fdbc6063cd16 140416 libpocoutil9_1.3.6p1-3_amd64.deb
 b58fc1408928c45d038c426480ce93f5514f7a314e6a259a5b01adf1367750c5 818634 libpocoxml9-dbg_1.3.6p1-3_amd64.deb
 dac7c27f0a741e7748ffa5b4d3dd7e4ace9f2e021a4ad76b349e9dda763b22de 168388 libpocoxml9_1.3.6p1-3_amd64.deb
 d3fa2ef2dac04173dfcd9710261e8b5c7b04dd0ab09e8edb5b064676300ff180 769226 libpocozip9-dbg_1.3.6p1-3_amd64.deb
 aba0c95c6a431e8107ec0366983497805be0ddfbc963ecc8af84f15429bc3041 130554 libpocozip9_1.3.6p1-3_amd64.deb
Files: 
 9c10aad2ad5cf26f8eba5c53ea479945 3103 libs optional poco_1.3.6p1-3.dsc
 8772c6e123cc804438b9b3de2403d60f 11408 libs optional poco_1.3.6p1-3.diff.gz
 ee91e66b55185288666b2c60e49ffca6 548956 libdevel optional libpoco-dev_1.3.6p1-3_amd64.deb
 5b729635157d2de3f6fc94324d9530e9 288664 debug extra libpococrypto9-dbg_1.3.6p1-3_amd64.deb
 3053e29ad45a8290ac2214e846167b65 74824 libs optional libpococrypto9_1.3.6p1-3_amd64.deb
 5dbf37c02bf4e07e050ab9cce17e1810 751246 debug extra libpocodata9-dbg_1.3.6p1-3_amd64.deb
 9e8b0867674f7a1e3bb191e00fed20fd 144218 libs optional libpocodata9_1.3.6p1-3_amd64.deb
 51a865b7b12e5aecfe02f55fdb7adff7 2308028 debug extra libpocofoundation9-dbg_1.3.6p1-3_amd64.deb
 2c71cd28e80450905c0ea367de9bd12a 493100 libs optional libpocofoundation9_1.3.6p1-3_amd64.deb
 413bcfe2d6c72cfc16017771291ad1cb 317044 debug extra libpocomysql9-dbg_1.3.6p1-3_amd64.deb
 9ca841807e27614d5259b7b2fc7731b2 68740 libs optional libpocomysql9_1.3.6p1-3_amd64.deb
 73f70ac4c76a5c20cbbf47fbb59659ae 1571220 debug extra libpoconet9-dbg_1.3.6p1-3_amd64.deb
 ae303e7dff7ad32eb4953c54c648e6dd 314964 libs optional libpoconet9_1.3.6p1-3_amd64.deb
 6a99e0779ea4e2781d24af1f124d10bc 655398 debug extra libpoconetssl9-dbg_1.3.6p1-3_amd64.deb
 cb047b12c299c48acebbb86de17cfcea 112980 libs optional libpoconetssl9_1.3.6p1-3_amd64.deb
 f04afd46a89276b73cec9d595f54576a 573546 debug extra libpocoodbc9-dbg_1.3.6p1-3_amd64.deb
 7d58a847abd580f91f4bd0e7d26d00f3 101398 libs optional libpocoodbc9_1.3.6p1-3_amd64.deb
 2e71dc22c0c766c022698451b65282e7 299084 debug extra libpocosqlite9-dbg_1.3.6p1-3_amd64.deb
 7d0ce5a70a85b315d9f3f0ba22ba51b5 89230 libs optional libpocosqlite9_1.3.6p1-3_amd64.deb
 f916ba5c0442cfd786b1d6c30bc4552c 655142 debug extra libpocoutil9-dbg_1.3.6p1-3_amd64.deb
 734a573f337236231fc626f7c5bc3452 140416 libs optional libpocoutil9_1.3.6p1-3_amd64.deb
 48f84a49ed1e167f9d485bd450e9a782 818634 debug extra libpocoxml9-dbg_1.3.6p1-3_amd64.deb
 bd32172d2cfd4683a050eb76a73f0949 168388 libs optional libpocoxml9_1.3.6p1-3_amd64.deb
 9975441a7bc559c487db630afc35f950 769226 debug extra libpocozip9-dbg_1.3.6p1-3_amd64.deb
 ebbbd4a5263d57a868a167a0b9836af9 130554 libs optional libpocozip9_1.3.6p1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQEieQAAoJEID329zPTTLk9X4QAJDP//HldgOPCW7tqFIarXtR
R357SFosBqrhJ98sicldckxU1C/qLzX7WExAJNTAmQfniY17r49kFwXQd1JdX52s
Ym9iHd2Nl7ZuR/8wS+1Ko1TRyE3mPZh2oOqAAzXgGhwQRYI2Mvnexyvm0tJkitCy
McUnTLMW06Y0wQ2zYcnNrvzn9+Tu92truGtgd064iWeL6M04Ka2bIwwrCmoeN0Pd
f9y1oNOBgiKYHZ1g9tS9dixNT0cyhkYBxlICdUVxlNq+x6Z6wDCQZIcT7TOHTasB
hJuhO/JMIYUmDSyCR4zMxvLOzsB/3Bt7G2Ml6nQ++hfSnsgueF67tstkq7RVg4Ul
Kpc3/TD5KIaxtjkQDlBC6YFgEhedizIwBjcXhlYpwDzWSAWh6r7hSymIHWKbbxda
GFiTYM2NhhxSoCuhCcE7+H6HGj0G1LlCai8GMTNDw6lvpEqzDZSUnhz2aSIKg8kf
7E8nlg5NbCB36cgzGtS2KCZeQ0v3GUGDZFzuqa0QXQhMTfSEB+i9gZXyxaNKrCxy
1hUInGCXaQRoHbf2HqWtnND25dmknYI8/ivFSB11DCxX70B76g4IEhWUONZBQ8fu
iDWlNc3O81mm1liFbqb4XT3YiB2BuBSXV9BH7sHWNbsCTvBPj+kqkdhTcggAj/Q4
uku/wEziqsu+VIS+BhVc
=QE00
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Aug 2012 07:27:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 03:40:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.